<?php

include_once 'common.php';
use Abraham\TwitterOAuth\TwitterOAuth;

/**
 * Check for a POSTed status message to send to Twitter
 */
if (!empty($_POST) && isset($_POST['status'])
&& isset($_SESSION['SOCIAL_ACCESS_TOKEN'])) {

    $token = unserialize($_SESSION['SOCIAL_ACCESS_TOKEN']);
    $connection = new TwitterOAuth(CONSUMER_KEY, CONSUMER_SECRET, $token['oauth_token'], $token['oauth_token_secret']);

    $data = $connection->post("statuses/update", ["status" => $_POST['status']]);

    // $token = unserialize($_SESSION['SOCIAL_ACCESS_TOKEN']);
    // $client = $token->getHttpClient($configuration);
    // $client->setUri('https://api.twitter.com/1.1/statuses/update.json');
    // $client->setMethod(Zend_Http_Client::POST);
    // $client->setParameterPost('status', $_POST['status']);
    // $response = $client->request();

    // /**
    //  * Check if the json response refers to our tweet details (assume it
    //  * means it was successfully posted). API gurus can correct me.
    //  */
    // $data = json_decode($response->getBody());
    // $result = $response->getBody();
    if (isset($data->text)) {
        $result = 'true';
    } else {
        $result = json_encode($data);
    }
    /**
     * Tweet sent (hopefully), redirect back home...
     */
    //header('Location: ' . URL_ROOT . '?result=' . $result);
	echo($result);
} else {
    /**
     * Mistaken request? Some malfeasant trying something?
     */
    exit('Invalid tweet request. Oops. Sorry.');
}
